InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LogWriterSettings Struct Reference

Log Writer Settings. More...

`#include <LogSettings.h>`

Collaboration diagram for inertia::LogWriterSettings:
[legend]

## Public Member Functions
| LogWriterSettings ()
| LogWriterSettings (std::wstring const &argString)
const std::wstring | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
LogWriterFileSettings | fileSettings
| General settings for creating a logfile.
LogWriterCSVSettings | csvSettings
| Specific settings for creating a CSV file.
LogWriterBVHSettings | bvhSettings
| Specific settings for creating a BVH file.
LogWriterMATSettings | matSettings
| Specific settings for creating a MAT file.
LogWriterV3DSettings | v3dSettings
| Specific settings for creating a V3D file.
LogWriterSourceInfo | sourceInfo
| Information about the file.

## Detailed Description

Log Writer Settings.

Settings for writing a logfile.

## Constructor & Destructor Documentation

## ◆ LogWriterSettings() [1/2]

inertia::LogWriterSettings::LogWriterSettings | ( |  | ) |

Default constructor.

## ◆ LogWriterSettings() [2/2]

inertia::LogWriterSettings::LogWriterSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates LogWriterSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::LogWriterSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for LogWriterSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

const std::wstring inertia::LogWriterSettings::ToString | ( |  | ) | const

Get a string representation of this LogWriterSettings. The string is compatible with GetOptionDescription() and LogWriterSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h